========================================================================
gnome-libs-1.4.1.7

* New in this release:

	* general:
	
	- Fix a wrong URL in README. <claeys@easynet.be>
	- Add support for detecting db4. <Ali Akcaagac>	

	* libgnome:
	
	- Fix documentation for gnome-moz-remote (Benjamin Kahn)
	
	* libgnomeui:
	
	- Fix internationalization in gnome-dateedit.c. (Peter Hawkins)
	- Use correct type in initialization code in gnome-icon-entry.c
	  plus some general cleanups (Kjartan)
	- Guard against NULL values returned from a few functions in
	  gnome-init.c. (Kjartan)
	- Remove hardcoded fonts in gnome-icon-item.c (Ilya Konstantinov)
	
	* translations:
	
	- Khairulanuar Abd Majid (ms), Stanislav Visnovsky (sk)
	
========================================================================
gnome-libs-1.4.1.6

* New in this release:

	* general:

	- Make it compile on the Hurd. (Christian Marillat)
	
	* libgnomeui:
	
	- Make gnome-procbar.h more friendly to ANSI compliant compilers. (Kjartan)
	- Remove some cruft from gnome-less.c (Kjartan)

	* libgnome:
	
	- Make writes to config files by more than one app at a time safe. (Havoc)
	- Fix some warnings. (Kjartan)

	* libart_lgpl:
	
	- Fix a crash in art_svp_render_aa.c. (Christian Marillat)

	* libgnorba:
	
	- Better feedback when we can't contact the CORBA name service. (Havoc)
	
	* translations:
	
	Changwoo Ryu (ko), Pauli Virtanen (fi).
		
	
========================================================================
gnome-libs-1.4.1.5

* New in this release:

	* general:
	
	- fix i18n bugs in paper selector (Pablo)
	- portability fixes (Kjartan)

	* libgnomeui:
	
	- Add support for mousewheel scrolling to gnome-less (Kjartan)

	* libzvt:
	
	- Fix cut'n'paste for a lot of cases (Havoc)
	- Some other fixes (from debian, bugzilla etc)

========================================================================
gnome-libs-1.4.1.4

Hello again,

* New in this release:

	* general:
	
	- Build fixes. (From bugzilla)
	- Missed a man page (Kjartan, Christian)

	* libgnorba:
	
	- Make the goad-browser behave and have sane defaults
	  for window size (Wayne Schuller)

	- Fix a wrong assert and print info if we can't get
	  userinfo from the pwentry. (Richard Kinder)
	
	* libgnome:
	
	- Handle a null SHELL better (Debian)

	* gtk-xmhtml:
	
	- Safer tempfile handling. (Ximian)
	- More errorchecking in a couple of functions to handle being
	  passed NULL parameters. (Wayne Schuller)

	* libzvt:
	
	- Support for dtterm window manipulation/info-request
	  escape sequences. <vivek@etla.org>.
	
	- Fix off by one error in underline handling. (Ximian)
	
			
========================================================================
gnome-libs-1.4.1.3

Hello,

* New in this release:

	* general:
	
	- Parallell install fixes (Havoc, Darin)
	- Man pages (Christian Marillat)
	- Fix compilation with db1 (Frank Belew)
	- Loads of new translations (Translation heros)

	* devel-docs (zvt):
	
	- Don't build docs at 'make' and 'make install' time. (Kjartan)
	
	* gtk-xmhtml:
	
	- Fix loads of compiler warnings. (Kjartan)
	- Apply all patches from Red Hat's packages. (Kjartan)
	- Fix a couple of crashes. (k_wayne@linuxpower.org)
	- Parallell install fixes. (Havoc)
	
	* libart_lgpl:

	- art_affine_expansion(): Use absolute value in computation. (Darin)
	- Fix compiler warnings (Kjartan)

	* libgnome:

	- Use full name in in highscore lists in gnome-score.c (Andrey Panov)
	- Portability fixes (Kjartan)
	- Fix url handler on first load (Red Hat)
	- Mem leak in gnome-mime.c (Jody)
	
	* libgnomeui:
	
	- Fix crashes in gnome-mdi (John Finlay)
	- Fix to work with KDE SM + other SM fixes (Red Hat)
	- Make GnomeCanvasSuckTextFont() work better with multibyte (Red Hat)
	- Compiler warning fixes (Kjartan)
	- Check that the widget is drawable before queuing a redraw in
	  gnome-canvas (Federico)
	- i18n fixes in gnome-about (Kjartan)
	
	* support:
	
	- Compiler warning fixes (Christian Marillat)
	
	* zvt:
	
	- Report mouse wheel events correctly to apps (Xavier Bestel)
	- Fixes for multibyte handling and more (Red Hat)

Enjoy and report all bugs to http://bugzilla.gnome.org/ 


========================================================================
gnome-libs-1.0.6
----------------

Hello,

* New in this release:

	* Gnome Config:

	    James Henstridge added a new improvement for your sysadmin
	    pleasure: 

	    Now you can configure system globals by putting the
	    default values for a configuration file in the directory:
	    
		$sysconfigdir/gnome/config/

	    You can force a specific value for any configuration
	    setting in the directory:

	        $sysconfigdir/gnome/config-override/

	    This will allow system administrators to set system-wide
	    pre-defined defaults for the system

	* Dentry loader

	    Owen Taylor added support for the desktop-entry loader to
	    load KDE .kdelnk and launch KDE .kdelnk files.

	    This will be used extensively by the next gnome-core
	    release (scheduled for tomorrow, so you have plenty of time to 
	    compile this version :-).

	* Documentation

	    Our scheduled updates to the API documentation.  

	* ORBit changes

	    You need to use version 0.4.3.  Elliot Lee fixed our
	    problems. 

	* Zvt terminal emulator

	    Michael Zucchi upgraded the terminal emulator:

	    Should be fully xterm compliant.  People have complained
	    about problems on the emulation (these were produced
	    because the "xterm" definition was recently upgraded by
	    the XFree people to reflect the new features in xterm, and
	    we were not implementing them all).

	    Glibc 2.1.xx support.

	    
	* Bug fixes

	    A long list of bugs have been fixed by: Owen Taylor,
	    Asbjorn Pettersen, James Henstridge, Nuno Ferreira, George
	    Lebl, Timur Bakeyev, Michael Zucchi, Federico
	    Mena and Matthijs Melchior


======================================================================
gnome-libs-1.0.5
----------------

Hello, lovers of exotic primates,

The GNOME team has just released version 1.0.5 of the gnome-libs
module.  This is mainly a bugfix release.

* Availability:

    ftp://ftp.gnome.org/pub/GNOME/sources/latest/gnome-libs-1.0.5.tar.gz

* New features:

	- For developers only:  now you can run configure with
          --disable-gtk-doc, and then gnome-libs will not try to build
	  the HTML documentation from the SGML sources.  This is of no
	  concern to users, since the pre-packaged HTML files will be
	  installed correctly (Martin Baulig).

* Fixes:

	- Fixed stale references to the GNOME name server (Miguel de
          Icaza).

	- #include fixes in the .idl files (Elliot Lee).

	- Gnome-config and gnome-scores fixes (George Lebl).

	- Const-correctness fixes for gnome-fileconvert (Miguel de
          Icaza).

	- Canvas event propagation and item destruction fixes
          (Federico Mena).

	- Accelerator/menu fixes (Tim Janik).

	- Fixed ordering of some operations in gnome-client (Felix
          Bellaby).

	- Sanity checks for random parts of the libgnomeui code
          (George Lebl and Pavel Machek).

	- Correctness and permissions fixes in gnome-pty-helper (Erik
          Troan).

Please note that you may want to upgrade to Gtk+-1.2.1, since it has
some menu accelerator fixes as well.  You will get a big loud warning
if you don't upgrade :-)

Enjoy,

  Federico

======================================================================
gnome-libs-1.0.4
----------------

Hello, lovers of bugfix releases

The GNOME team has just released version 1.0.4 of the gnome-libs
package.

* Availability:

	ftp://ftp.gnome.org/pub/GNOME/sources/latest/gnome-libs-1.0.4.tar.gz

* Major new features:

	- gnome-moz-remote: Now makes sure it uses a local copy of
          Mozilla for local URLs (i.e. "file:" ones).  Now uses GNOME
          WM hints if available to look for client windows (James
          Henstridge).

	- Users should now be able to properly customize their menu
          accelerators on the fly, and they should be saved correctly
          upon termination of the topmost gtk_main() loop (Tim Janik).

	- Zvt now supports selection when scrolling (Michael Zucchi).

* Minor fixes:

	- Making of documentation files now works for srcdir !=
          builddir (Raja Harinath).

	- gnome-moz-remote no longer depends on -lXmu or -lXt (James
          Henstridge).

	- Canvas item bounding and icon list button event fixes
          (Richard Hult).

	- Dialogs in gnome-dialog-util now get the correct focus
          (Federico Mena).

	- Timeout removal fixes in gnome-icon-list and
          gnome-pixmap-entry (George Lebl).


Have fun,

  Federico


======================================================================
gnome-libs-1.0.3
----------------

Hello shared library lovers,

   Gnome libs 1.0.3 is now available for download.

   The site is the same:

	ftp://ftp.gnome.org/pub/GNOME/sources/gnome-libs

* Major features:

	* API documentation.


	  The major thing on this release is that we now include the
	  API documentation for libgnome and libgnomeui in HTML format
	  (the SGML sources are provided if you want to generate
	  printable material.  you will need Docbook to generate the
	  postscript though).

* Minor fixes:

	* gnome.mime updated.
	  
	* GtkXmHTML should not produce run-time warnings.

	* GNOME Object IDL file.

	* Autoreload of MIME keys and MIME info if files are
	  modified. 

	* Icon Item redraw fixes (this will make your selected icons
	  on the desktop nicely selected, without the gray bounds).

	* Gnome Canvas fixes for affine-transformed items (Federico).

	* Gnome Message Boxes are nicer, better padding (Owen).

	* Gnome Docking repaint improvements (no more flicker, Federico).
	
	* Zvt widget supports wheel mice (Richard Hult)

	* Gnome-Pty-Helper will die at the proper times now.

Enjoy,
Miguel.


======================================================================
gnome-libs-1.0.2
----------------
Hello shared library lovers,

   Gnome libs 1.0.2 is now available for download.

   The site is the same:

	ftp://ftp.gnome.org/pub/GNOME/sources/gnome-libs

What is new on this release:

* Improved gnome-bug script

* libgnome changes:

	- SIGPIPE reset to default value in gnome_exec, this does the
	  proper thing for various GNOME applications that start other
	  programs. 

	  People have been reporting problems with gzip, this fixes
	  it.

	- Raja improved the gnome_dirrelavtive_file routine.

* libgnomeui changes:

	- Documentation updates for the Canvas.  It should be fully 
	  API documented now (with the exceptions of the object
	  arguments, which needs to be done in a different framework)
	  (Federico).

	- IconList passes events for double and tripple clicks to
	  applications (George).

	- We now use mime-type routines for finding out image types
	  instead of the older method (George).

	- IconList should behave properly for people with
	  wheel-mouses. 

	- ColorPicker fixed for some corner conditions (Jaka).

* Zvt changes:

	- Shift-Insert will trigger a paste (for compatibility with
	  Xterm).

	- SIGPIPE will be set to SGI_DFL on the child after fork.


======================================================================
0.99.5
------
Hello guys,

    A new universe of joy has been released for all of the free
software anenthusiasts.  

   This release has been extremely painful to me in terms of time
waste.  I ran out of disk space every 20 minutes in the middle of make
distcheck and the whole process needs to be restarted again.  

   If you have big hard drives you want to donate me, please contact
me.  

* Availability:

    ftp://ftp.gnome.org/pub/GNOME/sources/latest

* Released modules:

    - gnome-libs-0.99.5
    - gnome-network-0.99.5
    - gnome-pim-0.99.5
    - gnome-utils-0.99.5
    - mc-4.5.10
    - gnome-games

* gnome-network

    * First release of GnomePPP, a ppp front end by Jay Painter.
      (the author of EzPPP, which is the foundation for kppp as well).

    * GnomeTalk got some small updates

* Midnight Commander

  * VFS changes:
  
      * Support for Amiga FTP servers (Norbert)
  
      * Support for Novell4 FTP servers (Pavel)
  
      * Bug fixes.
  
  * Misc changes:
  
      * Full movement to glib for allocation/deallocation of memory.
  	(Timur Bakeyev)
  
      * Lots of bug fixes from various hackers (Norbert, Alexander).
  
      * Slang setup should work again with sysmte-installed slangs
  	(Norbert).
  
      * Various calls to _() were missing.  They are now in.
  
  * GNOME front:
  
      * Much improved properties dialog box which now supports
  	setting the metadata properties of the files and the icon as
  	well (Jonathan/Dave Camp).
  
      * Code for accepting DnD from netscape is there.  Do not know
  	why it is failing to accept the drops (me).
  
      * Many Drag and Drop consistency and little detail fixing (Federico). 
  
      * Default gmc is now the corba-gmc.  This also means that by
  	default if a gmc is running, re-running gmc will only request
  	the running instance to open a new window. 
  
      * Tree fixes.  
  
      * Dialogs now popup close to the mouse instead of randomly on the screen. 
  
      * Selection code now mimics the rest of Gtk in the list-view.
  
      * Use more icons from Tigert.
  
      * Delete dialog box has its own dialog (finally!) (Jonathan).
  
* gnome-core

    * gsm now implements run-levels (Felix)

    * gmenu: updated, made better, add DnD (Nat Friedman)

    * Panel takes DnD from Netscape (George).

    * Panel memory usage reduction, smarter menu code.  (George).

    * Initial work on adding help hooks to the applications and the
      applets all over the place (Nat Friedman)

    * Russian translation is quickly catching up. 

    * Added documentation to gnome-terminal

    * Various small fixes and updates.

* gnome-pim

    * Mostly a bug fix release.

	* Alarms should work properly.

	* Text events are fitted into the week-view instead of 
	  cropped

    * Drag and Drop added to GnomeCard.

    * Many bug fixes to GnomeCard and GnomeCal

    * Documentation for gnomecard by Arturo Espinosa

* gnome-games

    * New games: gnobots2, gnometris/metatris

      Yes.  That is 2 different versions of tetris (Chris and
      Marcin). 

    * Gnothello was renamed to something else. (Ian)

    * Gnothello has spify property pages now! (Ian)

    * Fixed the menu standarization.  We are back to the old standard.

    * Added documentation

* gnome-utils

    * GHex Code revamp (Jaka Mocnik)

    * GHex includes documentation now.

    * Assorted bug fixes in the various components

    * Help hooks added (Nat)

* gnome-libraries

    * Added support for run-levels in the session management code,
      this allows application to register in which order they have to
      be executed. 

    * Support for SM spec 7.2 (workarounds for xsm bugs and speed up
      the startup).

    * Various canvas bug fixes that caused the Calendar to crash.

    * Documentation on how to handle session-management.

    * Updated consistency guidelines for GNOME applications.

    * Removed use of some deprecated GTK+ functions.

    * Session management fixes/updates/enhancements.

    * gnome_fileconvert code is in a usable shape now.

    * More inline-api documentation and libgnome passes all the
      warnings from gtk-doc so you can generate your own Docbook
      api reference manuals for it now.

    * More utility functions to help you integrate the help system
      into your applications

    * Multi-depth display fixes.

    * Addresses the The Big Cache discussion.  You need a new
      gtk-themes (from CVS at the time of this writing for this
      change to work).

    * Reduced memory usage in the icon-list

    * Many small bug fixes and little problems reported have been
      fixed. GUI improvements in some default widgets.

    * Portability fixes.

    * Translations updated.

  Contributors on this release: Andrew Veliath, Carsten Schaar,
  Federico Mena, Felix Bellaby, George Lebl, Havoc Pennington, Jaka
  Mocnik, Jeff Garzik, John Ellis, Jonathan Bladford, Miguel de Icaza,
  Nat Friedman, Radek Doulik, Raja Harinath, Sebastian Wilhemi, Tomas
  Ogren, Ulrich Drepper.

  Sorry, I could not keep track of the hackers on the other modules as
  I did on gnome-libs.

Miguel


======================================================================
0.99.4
------
Hello guys,

   The Preening Bonobo release of the GNOME libraries (0.99.4)
has been released.  Hackers have been busy working on this release,
hope you enjoy it.

   This is mostly a preening release of the GNOME libraries, with
significant fewer parasites.

* New features

   The new features in this release are:

   * libgnome:

	- More speed improvements, caching values.
	  
	- test suite works as expected by automake
	  
	- General bug fixes and bonobo preening.
	  
	- More in-line documentation
   
   * libgnomeui:

	- Configurable accelerator keys (so you can change them if you
	  dont like our defaults for all your GNOME apps).

	- bug fixes that caused gmc to crash (and some other apps too).

	- New preferences routines for controlling the placement of
	  the progress bar

	- Use the above on GNOME apps that used the progress bar.

	- Helper functions for the selction of icons in the desktop

	- Calculator got fixed.

	- GnomeIconList widget is approaching adulthood according to
	  the ChangeLog file.  I do not know if the ChangeLog was
	  trying to imply that I am a doofus. 

	- A number of bug fixes that affected all of gnome.

	- More inline API documentation.

	- More stock icons from Tuomas are included in the distribution

    * libgnorba:

	- GOAD-id activation works.

    * Zvt:

	- The widget now can be used to automate tasks.

* Availability:

	ftp://ftp.gnome.org/pub/GNOME/sources/latest


======================================================================

Feb/10/1998
-----------

Gnome libraries are now split into a separate package

26/Aug/1997
-----------

First distribution of the Gnome libraries
